<?xml version="1.0" encoding="utf-8"?>
<!-- Generated by PRONEXUS WORKS -->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_NotesChangesInAccountingPoliciesNAConsolidatedFinancialStatementsTextBlock" xlink:label="NotesChangesInAccountingPoliciesNAConsolidatedFinancialStatementsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_NotesChangesInAccountingPoliciesNAFinancialStatementsTextBlock" xlink:label="NotesChangesInAccountingPoliciesNAFinancialStatementsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_FinancingExpensesOpeCF" xlink:label="FinancingExpensesOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_LossOnRetirementOfTreasurySubscriptionRightsToSharesOpeCF" xlink:label="LossOnRetirementOfTreasurySubscriptionRightsToSharesOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_IncreaseDecreaseInLongTermAdvancePaymentOpeCF" xlink:label="IncreaseDecreaseInLongTermAdvancePaymentOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_PaymentsOfFinanceExpensesFinCF" xlink:label="PaymentsOfFinanceExpensesFinCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_PaymentsForPurchaseOfTreasurySubscriptionRightToShareFinCF" xlink:label="PaymentsForPurchaseOfTreasurySubscriptionRightToShareFinCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_LongTermAdvancePaymentsTradeIOA" xlink:label="LongTermAdvancePaymentsTradeIOA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_RistrictedCashCA" xlink:label="RistrictedCashCA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_TotalNumberOfIssuedSharesKeyFinancialDataAbstract" xlink:label="TotalNumberOfIssuedSharesKeyFinancialDataAbstract" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_ClassA1PreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" xlink:label="ClassA1PreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_ClassA2PreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" xlink:label="ClassA2PreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_ClassBPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" xlink:label="ClassBPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_HakamadaTakeshiMember" xlink:label="HakamadaTakeshiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_NozakiJumpeiMember" xlink:label="NozakiJumpeiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_AkauraToruMember" xlink:label="AkauraToruMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_KawanaKoichiMember" xlink:label="KawanaKoichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_NakadaKazukoMember" xlink:label="NakadaKazukoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_MakinoTakashiMember" xlink:label="MakinoTakashiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_HatadaKojiroMember" xlink:label="HatadaKojiroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_InoueYujiMember" xlink:label="InoueYujiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_TodorokiYoshihideMember" xlink:label="TodorokiYoshihideMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_NaitoAgasaMember" xlink:label="NaitoAgasaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_BusinessConsignmentExpensesAndFeesSGA" xlink:label="BusinessConsignmentExpensesAndFeesSGA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_LossOnRetirementOfTreasurySubscriptionRightsToSharesEL" xlink:label="LossOnRetirementOfTreasurySubscriptionRightsToSharesEL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_TransferToRetainedEarningsFromCapitalSurplus" xlink:label="TransferToRetainedEarningsFromCapitalSurplus" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_NotesRegardingFinancialCovenantClausesTextBlock" xlink:label="NotesRegardingFinancialCovenantClausesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_ProceedFromDepositForSubscriptionsToSharesFinCF" xlink:label="ProceedFromDepositForSubscriptionsToSharesFinCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_DepositForSubscriptionsToSharesSS" xlink:label="DepositForSubscriptionsToSharesSS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_RestrictedStockSS" xlink:label="RestrictedStockSS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_NotesRegardingProvisionForLossOnOrderReceivedTextBlock" xlink:label="NotesRegardingProvisionForLossOnOrderReceivedTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37584-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E37584-000_NotesRegardingDepositForSubscriptionsToShares" xlink:label="NotesRegardingDepositForSubscriptionsToShares" />
    <link:label xlink:type="resource" xlink:label="label_NotesChangesInAccountingPoliciesNAConsolidatedFinancialStatementsTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesChangesInAccountingPoliciesNAConsolidatedFinancialStatementsTextBlock_2">Notes - Changes in accounting policies (N/A)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesChangesInAccountingPoliciesNAConsolidatedFinancialStatementsTextBlock" xlink:to="label_NotesChangesInAccountingPoliciesNAConsolidatedFinancialStatementsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesChangesInAccountingPoliciesNAConsolidatedFinancialStatementsTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesChangesInAccountingPoliciesNAConsolidatedFinancialStatementsTextBlock">Notes - Changes in accounting policies (N/A), Consolidated financial statements [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesChangesInAccountingPoliciesNAConsolidatedFinancialStatementsTextBlock" xlink:to="label_NotesChangesInAccountingPoliciesNAConsolidatedFinancialStatementsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesChangesInAccountingPoliciesNAFinancialStatementsTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesChangesInAccountingPoliciesNAFinancialStatementsTextBlock_2">Notes - Changes in accounting policies (N/A)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesChangesInAccountingPoliciesNAFinancialStatementsTextBlock" xlink:to="label_NotesChangesInAccountingPoliciesNAFinancialStatementsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesChangesInAccountingPoliciesNAFinancialStatementsTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesChangesInAccountingPoliciesNAFinancialStatementsTextBlock">Notes - Changes in accounting policies (N/A), Financial statements [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesChangesInAccountingPoliciesNAFinancialStatementsTextBlock" xlink:to="label_NotesChangesInAccountingPoliciesNAFinancialStatementsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_TransferToRetainedEarningsFromCapitalSurplus_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TransferToRetainedEarningsFromCapitalSurplus_2">Transfer to retained earnings from capital surplus</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TransferToRetainedEarningsFromCapitalSurplus" xlink:to="label_TransferToRetainedEarningsFromCapitalSurplus_2" />
    <link:label xlink:type="resource" xlink:label="label_TransferToRetainedEarningsFromCapitalSurplus" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TransferToRetainedEarningsFromCapitalSurplus">Transfer to retained earnings from capital surplus</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TransferToRetainedEarningsFromCapitalSurplus" xlink:to="label_TransferToRetainedEarningsFromCapitalSurplus" />
    <link:label xlink:type="resource" xlink:label="label_DepositForSubscriptionsToSharesSS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DepositForSubscriptionsToSharesSS">Deposit for subscriptions to shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DepositForSubscriptionsToSharesSS" xlink:to="label_DepositForSubscriptionsToSharesSS" />
    <link:label xlink:type="resource" xlink:label="label_DepositForSubscriptionsToSharesSS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DepositForSubscriptionsToSharesSS_2">Deposit for subscriptions to shares -SS</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DepositForSubscriptionsToSharesSS" xlink:to="label_DepositForSubscriptionsToSharesSS_2" />
    <link:label xlink:type="resource" xlink:label="label_RestrictedStockSS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RestrictedStockSS">Restricted stock</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RestrictedStockSS" xlink:to="label_RestrictedStockSS" />
    <link:label xlink:type="resource" xlink:label="label_RestrictedStockSS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RestrictedStockSS_2">Restricted stock -SS</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RestrictedStockSS" xlink:to="label_RestrictedStockSS_2" />
    <link:label xlink:type="resource" xlink:label="label_LossOnRetirementOfTreasurySubscriptionRightsToSharesOpeCF_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_LossOnRetirementOfTreasurySubscriptionRightsToSharesOpeCF_2">Loss on retirement of treasury subscription rights to shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LossOnRetirementOfTreasurySubscriptionRightsToSharesOpeCF" xlink:to="label_LossOnRetirementOfTreasurySubscriptionRightsToSharesOpeCF_2" />
    <link:label xlink:type="resource" xlink:label="label_LossOnRetirementOfTreasurySubscriptionRightsToSharesOpeCF" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_LossOnRetirementOfTreasurySubscriptionRightsToSharesOpeCF">Loss on retirement of treasury subscription rights to shares-OpeCF</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LossOnRetirementOfTreasurySubscriptionRightsToSharesOpeCF" xlink:to="label_LossOnRetirementOfTreasurySubscriptionRightsToSharesOpeCF" />
    <link:label xlink:type="resource" xlink:label="label_FinancingExpensesOpeCF" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_FinancingExpensesOpeCF">Financing expenses</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FinancingExpensesOpeCF" xlink:to="label_FinancingExpensesOpeCF" />
    <link:label xlink:type="resource" xlink:label="label_FinancingExpensesOpeCF_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_FinancingExpensesOpeCF_2">Financing expenses-OpeCF</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FinancingExpensesOpeCF" xlink:to="label_FinancingExpensesOpeCF_2" />
    <link:label xlink:type="resource" xlink:label="label_IncreaseDecreaseInLongTermAdvancePaymentOpeCF_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_IncreaseDecreaseInLongTermAdvancePaymentOpeCF_2">(Increase) decrease in long-term advance payment</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseInLongTermAdvancePaymentOpeCF" xlink:to="label_IncreaseDecreaseInLongTermAdvancePaymentOpeCF_2" />
    <link:label xlink:type="resource" xlink:label="label_IncreaseDecreaseInLongTermAdvancePaymentOpeCF" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_IncreaseDecreaseInLongTermAdvancePaymentOpeCF">(Increase) decrease in long-term advance payment-OpeCF</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseInLongTermAdvancePaymentOpeCF" xlink:to="label_IncreaseDecreaseInLongTermAdvancePaymentOpeCF" />
    <link:label xlink:type="resource" xlink:label="label_PaymentsOfFinanceExpensesFinCF" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PaymentsOfFinanceExpensesFinCF">Payments of finance expenses</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PaymentsOfFinanceExpensesFinCF" xlink:to="label_PaymentsOfFinanceExpensesFinCF" />
    <link:label xlink:type="resource" xlink:label="label_PaymentsOfFinanceExpensesFinCF_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PaymentsOfFinanceExpensesFinCF_2">Payments of finance expenses-FinCF</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PaymentsOfFinanceExpensesFinCF" xlink:to="label_PaymentsOfFinanceExpensesFinCF_2" />
    <link:label xlink:type="resource" xlink:label="label_PaymentsForPurchaseOfTreasurySubscriptionRightToShareFinCF_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PaymentsForPurchaseOfTreasurySubscriptionRightToShareFinCF_2">Payments for purchase of treasury subscription right to share</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PaymentsForPurchaseOfTreasurySubscriptionRightToShareFinCF" xlink:to="label_PaymentsForPurchaseOfTreasurySubscriptionRightToShareFinCF_2" />
    <link:label xlink:type="resource" xlink:label="label_PaymentsForPurchaseOfTreasurySubscriptionRightToShareFinCF" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PaymentsForPurchaseOfTreasurySubscriptionRightToShareFinCF">Payments for purchase of treasury subscription right to share-FinCF</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PaymentsForPurchaseOfTreasurySubscriptionRightToShareFinCF" xlink:to="label_PaymentsForPurchaseOfTreasurySubscriptionRightToShareFinCF" />
    <link:label xlink:type="resource" xlink:label="label_ProceedFromDepositForSubscriptionsToSharesFinCF" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ProceedFromDepositForSubscriptionsToSharesFinCF">Proceed from deposit for subscriptions to shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedFromDepositForSubscriptionsToSharesFinCF" xlink:to="label_ProceedFromDepositForSubscriptionsToSharesFinCF" />
    <link:label xlink:type="resource" xlink:label="label_ProceedFromDepositForSubscriptionsToSharesFinCF_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ProceedFromDepositForSubscriptionsToSharesFinCF_2">Proceed from deposit for subscriptions to shares -FinCF</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedFromDepositForSubscriptionsToSharesFinCF" xlink:to="label_ProceedFromDepositForSubscriptionsToSharesFinCF_2" />
    <link:label xlink:type="resource" xlink:label="label_TotalNumberOfIssuedSharesKeyFinancialDataAbstract_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TotalNumberOfIssuedSharesKeyFinancialDataAbstract_2">Total number of issued shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TotalNumberOfIssuedSharesKeyFinancialDataAbstract" xlink:to="label_TotalNumberOfIssuedSharesKeyFinancialDataAbstract_2" />
    <link:label xlink:type="resource" xlink:label="label_TotalNumberOfIssuedSharesKeyFinancialDataAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TotalNumberOfIssuedSharesKeyFinancialDataAbstract">Total number of issued shares, Key financial data [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TotalNumberOfIssuedSharesKeyFinancialDataAbstract" xlink:to="label_TotalNumberOfIssuedSharesKeyFinancialDataAbstract" />
    <link:label xlink:type="resource" xlink:label="label_ClassA1PreferredSharesTotalNumberOfIssuedSharesKeyFinancialData_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ClassA1PreferredSharesTotalNumberOfIssuedSharesKeyFinancialData_2">Class A1 preferred shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassA1PreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" xlink:to="label_ClassA1PreferredSharesTotalNumberOfIssuedSharesKeyFinancialData_2" />
    <link:label xlink:type="resource" xlink:label="label_ClassA1PreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ClassA1PreferredSharesTotalNumberOfIssuedSharesKeyFinancialData">Class A1 preferred shares, Total number of issued shares, Key financial data</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassA1PreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" xlink:to="label_ClassA1PreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" />
    <link:label xlink:type="resource" xlink:label="label_ClassA2PreferredSharesTotalNumberOfIssuedSharesKeyFinancialData_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ClassA2PreferredSharesTotalNumberOfIssuedSharesKeyFinancialData_2">Class A2 preferred shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassA2PreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" xlink:to="label_ClassA2PreferredSharesTotalNumberOfIssuedSharesKeyFinancialData_2" />
    <link:label xlink:type="resource" xlink:label="label_ClassA2PreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ClassA2PreferredSharesTotalNumberOfIssuedSharesKeyFinancialData">Class A2 preferred shares, Total number of issued shares, Key financial data</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassA2PreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" xlink:to="label_ClassA2PreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" />
    <link:label xlink:type="resource" xlink:label="label_ClassBPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ClassBPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData_2">Class B preferred shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassBPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" xlink:to="label_ClassBPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData_2" />
    <link:label xlink:type="resource" xlink:label="label_ClassBPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ClassBPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData">Class B preferred shares, Total number of issued shares, Key financial data</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassBPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" xlink:to="label_ClassBPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" />
    <link:label xlink:type="resource" xlink:label="label_RistrictedCashCA" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RistrictedCashCA">Ristricted cash</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RistrictedCashCA" xlink:to="label_RistrictedCashCA" />
    <link:label xlink:type="resource" xlink:label="label_RistrictedCashCA_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RistrictedCashCA_2">Ristricted cash -CA</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RistrictedCashCA" xlink:to="label_RistrictedCashCA_2" />
    <link:label xlink:type="resource" xlink:label="label_LongTermAdvancePaymentsTradeIOA_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_LongTermAdvancePaymentsTradeIOA_2">Long-term advance payments - trade</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LongTermAdvancePaymentsTradeIOA" xlink:to="label_LongTermAdvancePaymentsTradeIOA_2" />
    <link:label xlink:type="resource" xlink:label="label_LongTermAdvancePaymentsTradeIOA" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_LongTermAdvancePaymentsTradeIOA">Long-term advance payments - trade -IOA</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LongTermAdvancePaymentsTradeIOA" xlink:to="label_LongTermAdvancePaymentsTradeIOA" />
    <link:label xlink:type="resource" xlink:label="label_LossOnRetirementOfTreasurySubscriptionRightsToSharesEL_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_LossOnRetirementOfTreasurySubscriptionRightsToSharesEL_2">Loss on retirement of treasury subscription rights to shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LossOnRetirementOfTreasurySubscriptionRightsToSharesEL" xlink:to="label_LossOnRetirementOfTreasurySubscriptionRightsToSharesEL_2" />
    <link:label xlink:type="resource" xlink:label="label_LossOnRetirementOfTreasurySubscriptionRightsToSharesEL" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_LossOnRetirementOfTreasurySubscriptionRightsToSharesEL">Loss on retirement of treasury subscription rights to shares-EL</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LossOnRetirementOfTreasurySubscriptionRightsToSharesEL" xlink:to="label_LossOnRetirementOfTreasurySubscriptionRightsToSharesEL" />
    <link:label xlink:type="resource" xlink:label="label_BusinessConsignmentExpensesAndFeesSGA_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_BusinessConsignmentExpensesAndFeesSGA_2">Business consignment expenses and fees</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BusinessConsignmentExpensesAndFeesSGA" xlink:to="label_BusinessConsignmentExpensesAndFeesSGA_2" />
    <link:label xlink:type="resource" xlink:label="label_BusinessConsignmentExpensesAndFeesSGA" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_BusinessConsignmentExpensesAndFeesSGA">Business consignment expenses and fees-SGA</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BusinessConsignmentExpensesAndFeesSGA" xlink:to="label_BusinessConsignmentExpensesAndFeesSGA" />
    <link:label xlink:type="resource" xlink:label="label_HakamadaTakeshiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_HakamadaTakeshiMember_2">Hakamada, Takeshi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HakamadaTakeshiMember" xlink:to="label_HakamadaTakeshiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_HakamadaTakeshiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_HakamadaTakeshiMember">Hakamada, Takeshi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HakamadaTakeshiMember" xlink:to="label_HakamadaTakeshiMember" />
    <link:label xlink:type="resource" xlink:label="label_NozakiJumpeiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NozakiJumpeiMember_2">Nozaki, Jumpei</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NozakiJumpeiMember" xlink:to="label_NozakiJumpeiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_NozakiJumpeiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NozakiJumpeiMember">Nozaki, Jumpei [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NozakiJumpeiMember" xlink:to="label_NozakiJumpeiMember" />
    <link:label xlink:type="resource" xlink:label="label_AkauraToruMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_AkauraToruMember_2">Akaura, Toru</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AkauraToruMember" xlink:to="label_AkauraToruMember_2" />
    <link:label xlink:type="resource" xlink:label="label_AkauraToruMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_AkauraToruMember">Akaura, Toru [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AkauraToruMember" xlink:to="label_AkauraToruMember" />
    <link:label xlink:type="resource" xlink:label="label_KawanaKoichiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KawanaKoichiMember_2">Kawana, Koichi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KawanaKoichiMember" xlink:to="label_KawanaKoichiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KawanaKoichiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KawanaKoichiMember">Kawana, Koichi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KawanaKoichiMember" xlink:to="label_KawanaKoichiMember" />
    <link:label xlink:type="resource" xlink:label="label_NakadaKazukoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NakadaKazukoMember_2">Nakada, Kazuko</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NakadaKazukoMember" xlink:to="label_NakadaKazukoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_NakadaKazukoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NakadaKazukoMember">Nakada, Kazuko [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NakadaKazukoMember" xlink:to="label_NakadaKazukoMember" />
    <link:label xlink:type="resource" xlink:label="label_HatadaKojiroMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_HatadaKojiroMember_2">Hatada, Kojiro</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HatadaKojiroMember" xlink:to="label_HatadaKojiroMember_2" />
    <link:label xlink:type="resource" xlink:label="label_HatadaKojiroMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_HatadaKojiroMember">Hatada, Kojiro [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HatadaKojiroMember" xlink:to="label_HatadaKojiroMember" />
    <link:label xlink:type="resource" xlink:label="label_MakinoTakashiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MakinoTakashiMember_2">Makino, Takashi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MakinoTakashiMember" xlink:to="label_MakinoTakashiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MakinoTakashiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MakinoTakashiMember">Makino, Takashi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MakinoTakashiMember" xlink:to="label_MakinoTakashiMember" />
    <link:label xlink:type="resource" xlink:label="label_InoueYujiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_InoueYujiMember_2">Inoue, Yuji</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="InoueYujiMember" xlink:to="label_InoueYujiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_InoueYujiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_InoueYujiMember">Inoue, Yuji [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="InoueYujiMember" xlink:to="label_InoueYujiMember" />
    <link:label xlink:type="resource" xlink:label="label_TodorokiYoshihideMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TodorokiYoshihideMember_2">Todoroki, Yoshihide</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TodorokiYoshihideMember" xlink:to="label_TodorokiYoshihideMember_2" />
    <link:label xlink:type="resource" xlink:label="label_TodorokiYoshihideMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TodorokiYoshihideMember">Todoroki, Yoshihide [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TodorokiYoshihideMember" xlink:to="label_TodorokiYoshihideMember" />
    <link:label xlink:type="resource" xlink:label="label_NaitoAgasaMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NaitoAgasaMember_2">Naito, Agasa</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NaitoAgasaMember" xlink:to="label_NaitoAgasaMember_2" />
    <link:label xlink:type="resource" xlink:label="label_NaitoAgasaMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NaitoAgasaMember">Naito, Agasa [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NaitoAgasaMember" xlink:to="label_NaitoAgasaMember" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingFinancialCovenantClausesTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingFinancialCovenantClausesTextBlock_2">Notes regarding financial covenant clauses</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingFinancialCovenantClausesTextBlock" xlink:to="label_NotesRegardingFinancialCovenantClausesTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingFinancialCovenantClausesTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingFinancialCovenantClausesTextBlock">Notes regarding financial covenant clauses [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingFinancialCovenantClausesTextBlock" xlink:to="label_NotesRegardingFinancialCovenantClausesTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingDepositForSubscriptionsToShares_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingDepositForSubscriptionsToShares_2">Notes regarding deposit for subscriptions to shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingDepositForSubscriptionsToShares" xlink:to="label_NotesRegardingDepositForSubscriptionsToShares_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingDepositForSubscriptionsToShares" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingDepositForSubscriptionsToShares">Notes regarding deposit for subscriptions to shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingDepositForSubscriptionsToShares" xlink:to="label_NotesRegardingDepositForSubscriptionsToShares" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingProvisionForLossOnOrderReceivedTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingProvisionForLossOnOrderReceivedTextBlock_2">Notes regarding provision for loss on order received</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingProvisionForLossOnOrderReceivedTextBlock" xlink:to="label_NotesRegardingProvisionForLossOnOrderReceivedTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingProvisionForLossOnOrderReceivedTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingProvisionForLossOnOrderReceivedTextBlock">Notes regarding provision for loss on order received [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingProvisionForLossOnOrderReceivedTextBlock" xlink:to="label_NotesRegardingProvisionForLossOnOrderReceivedTextBlock" />
  </link:labelLink>
</link:linkbase>